Subject: Re: Re: [PATCH v4 3/5] config: make parsing stack struct independent from actual data source

From: Heiko Voigt <[email-masked]>
Date: Mon, 13 May 2013 16:04:35 +0200

On Sun, May 12, 2013 at 09:56:39PM -0700, Junio C Hamano wrote:
> Heiko Voigt <[email-masked]> writes:
> 
> >  /*
> > - * The fields f and name of top need to be initialized before calling
> > + * All source specific fields in the union, name and the callbacks
> > + * fgetc, ungetc, ftell of top need to be initialized before calling
> >   * this function.
> >   */
> > -static int do_config_from(struct config_file *top, config_fn_t fn, void *data)
> > +static int do_config_from_source(struct config_source *top, config_fn_t fn, void *data)
> 
> This renaming may have made sense if we were to have many different
> do_config_from_$type functions for different types of source, but as
> this patch introduces a nice "config_source" abstraction, I do not
> think it is unnecessary. Shortening do_config_from() to do_config()
> may make more sense, if anything.
> 
> But that is a very minor point, as this is entirely internal with a
> single caller.

Did you really intent this double negation: "..., I do not think it
is unnecessary." ? The rest of the paragraph sounds like you would
think the rename is actually "not necessary". I thought I recalled that
Jeff asked me to change the name but I can not find the email, so maybe
its just my wrong memory. I am happy to drop the rename here, if thats
what you meant.

Cheers Heiko